> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Similarweb Traffic

> Pull Similarweb website analytics including traffic, rank, and audience data for domains you provide

`$8 / 1k websites`

Pull Similarweb website analytics including traffic, rank, and audience data for domains you provide

## Endpoint

`POST /api/v1/agents/similarweb/traffic/run`

## Parameters

<ParamField body="websites" type="array" required>
  **List** · List of SimilarWeb websites to scrape. Enter domains.
</ParamField>

## Response columns

| Field                | Display name         | Type       |
| -------------------- | -------------------- | ---------- |
| `domain`             | Domain               | text       |
| `similarwebUrl`      | SimilarWeb URL       | url        |
| `siteName`           | Site Name            | text       |
| `title`              | Title                | text       |
| `description`        | Description          | text       |
| `category`           | Category             | text       |
| `screenshot`         | Screenshot           | url        |
| `globalRank`         | Global Rank          | number     |
| `countryRank`        | Country Rank         | number     |
| `topCountry`         | Top Country          | text       |
| `categoryRank`       | Category Rank        | number     |
| `rankCategory`       | Rank Category        | text       |
| `visits`             | Visits               | number     |
| `bounceRate`         | Bounce Rate          | percentage |
| `pagesVisit`         | Pages/Visit          | number     |
| `timeOnSiteS`        | Time On Site (s)     | number     |
| `month`              | Month                | text       |
| `year`               | Year                 | text       |
| `direct`             | Direct %             | percentage |
| `search`             | Search %             | percentage |
| `social`             | Social %             | percentage |
| `mail`               | Mail %               | percentage |
| `referrals`          | Referrals %          | percentage |
| `paidReferrals`      | Paid Referrals %     | percentage |
| `topKeyword`         | Top Keyword          | text       |
| `topKeywordVolume`   | Top Keyword Volume   | number     |
| `topKeywordCpc`      | Top Keyword CPC      | currency   |
| `topKeywordValue`    | Top Keyword Value    | currency   |
| `topCountryCode`     | Top Country Code     | text       |
| `topCountryId`       | Top Country ID       | number     |
| `topCountryShare`    | Top Country Share    | percentage |
| `aiTrafficVisits`    | AI Traffic Visits    | number     |
| `aiReferral`         | AI Referral %        | percentage |
| `aiTopPrompts`       | AI Top Prompts       | text       |
| `aiDistribution`     | AI Distribution      | text       |
| `aiTopSource`        | AI Top Source        | text       |
| `visitsJan`          | Visits Jan           | number     |
| `visitsFeb`          | Visits Feb           | number     |
| `visitsMar`          | Visits Mar           | number     |
| `snapshotDate`       | Snapshot Date        | text       |
| `fromGa`             | From GA              | boolean    |
| `smallSite`          | Small Site           | boolean    |
| `countryRankCountry` | Country Rank Country | integer    |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/similarweb/traffic/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "websites": [
        "apple.com",
        "microsoft.com",
        "google.com",
        "twitter.com",
        "samsung.com",
        "hp.com",
        "dell.com",
        "mi.com",
        "lg.com",
        "sony.com"
      ]
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/similarweb/traffic/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "websites": [
          "apple.com",
          "microsoft.com",
          "google.com",
          "twitter.com",
          "samsung.com",
          "hp.com",
          "dell.com",
          "mi.com",
          "lg.com",
          "sony.com"
      ]
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "domain": "apple.com",
      "similarwebUrl": "https://similarweb.com/website/apple.com",
      "siteName": "apple.com",
      "title": "Privacy - Control",
      "description": "Apple products, including Apple Intelligence, are designed to protect your privacy, because privacy is a fundamental human right.",
      "category": "computers_electronics_and_technology/consumer_electronics",
      "screenshot": "https://site-images.similarcdn.com/image?url=apple.com&t=1&s=1&h=f81bb484ae2fd14ee7d230f4992fcf6f0e071e846a94e3f49400616e3f9c5063",
      "globalRank": 64,
      "countryRank": 53,
      "topCountry": "US",
      "categoryRank": "1",
      "rankCategory": "Computers_Electronics_and_Technology/Consumer_Electronics",
      "visits": "588832278",
      "bounceRate": "0.5129393764353296",
      "pagesVisit": "3.354272779567929",
      "timeOnSiteS": "148.33803595706115",
      "month": "3",
      "year": "2026",
      "direct": 0.35960863533970405,
      "search": 0.4263245993439161,
      "social": 0.06193439690061664,
      "mail": 0.01621194631885151,
      "referrals": 0.10405498156738144,
      "paidReferrals": 0.0130389173689122,
      "topKeyword": null,
      "topKeywordVolume": null,
      "topKeywordCpc": null,
      "topKeywordValue": null,
      "topCountryCode": null,
      "topCountryId": null,
      "topCountryShare": null,
      "aiTrafficVisits": 9532599.765,
      "aiReferral": 0.01665379677161558,
      "aiTopPrompts": [
        "What are the latest products from Apple?",
        "How can I contact Apple support?",
        "Where can I find information about Apple services?"
      ],
      "aiDistribution": {
        "Boundary": "<100M",
        "Chart": [
          {
            "Name": "chatgpt.com",
            "Icon": "/image?url=chatgpt.com&t=2&s=1&h=a31616ae3cdef12fcfc664127563e6092e7531e7b4c3cde7e0c8c5fd3310dfc0",
            "History": [
              {
                "Date": "2026-03-01",
                "Value": 79.62862458434495
              },
              {
                "Date": "2026-02-01",
                "Value": 60.88813069977872
              },
              {
                "Date": "2026-01-01",
                "Value": 68.51856666616276
              }
            ]
          },
          {
            "Name": "perplexity.ai",
            "Icon": "/image?url=perplexity.ai&t=2&s=1&h=f48fa93e79e65eef47bff5b62e7037bccffb0629aecaed2d0c9f2fb25f177362",
            "History": [
              {
                "Date": "2026-03-01",
                "Value": 6.160065097414693
              },
              {
                "Date": "2026-02-01",
                "Value": 5.080559783682474
              },
              {
                "Date": "2026-01-01",
                "Value": 5.617196171038447
              }
            ]
          },
          {
            "Name": "gemini.google.com",
            "Icon": "/image?url=gemini.google.com&t=2&s=1&h=ec0ae7eb3432025135e3658db1edf54cfa2710c74ca7f113d026db33002def01",
            "History": [
              {
                "Date": "2026-03-01",
                "Value": 4.763318981115326
              },
              {
                "Date": "2026-02-01",
                "Value": 3.4535472181339393
              },
              {
                "Date": "2026-01-01",
                "Value": 3.315362658572711
              }
            ]
          }
        ],
        "Chatbots": [
          {
            "Name": "chatgpt.com",
            "Icon": "/image?url=chatgpt.com&t=2&s=1&h=a31616ae3cdef12fcfc664127563e6092e7531e7b4c3cde7e0c8c5fd3310dfc0",
            "Value": 79.62862458434495
          },
          {
            "Name": "perplexity.ai",
            "Icon": "/image?url=perplexity.ai&t=2&s=1&h=f48fa93e79e65eef47bff5b62e7037bccffb0629aecaed2d0c9f2fb25f177362",
            "Value": 6.160065097414693
          },
          {
            "Name": "gemini.google.com",
            "Icon": "/image?url=gemini.google.com&t=2&s=1&h=ec0ae7eb3432025135e3658db1edf54cfa2710c74ca7f113d026db33002def01",
            "Value": 4.763318981115326
          }
        ]
      },
      "aiTopSource": [
        {
          "Name": "chatgpt.com",
          "Rank": 1,
          "Icon": "/image?url=chatgpt.com&t=2&s=1&h=a31616ae3cdef12fcfc664127563e6092e7531e7b4c3cde7e0c8c5fd3310dfc0"
        },
        {
          "Name": "perplexity.ai",
          "Rank": 2,
          "Icon": "/image?url=perplexity.ai&t=2&s=1&h=f48fa93e79e65eef47bff5b62e7037bccffb0629aecaed2d0c9f2fb25f177362"
        },
        {
          "Name": "gemini.google.com",
          "Rank": 3,
          "Icon": "/image?url=gemini.google.com&t=2&s=1&h=ec0ae7eb3432025135e3658db1edf54cfa2710c74ca7f113d026db33002def01"
        },
        {
          "Name": "chat.deepseek.com",
          "Rank": 4,
          "Icon": "/image?url=chat.deepseek.com&t=2&s=1&h=3932bcfb7ad820bd114ee43a2dba828a589d2ff19b6dc54400e0d39b2d65d377"
        },
        {
          "Name": "claude.ai",
          "Rank": 5,
          "Icon": "/image?url=claude.ai&t=2&s=1&h=a3b3778e02952b653132fb6d019ed0361cff7850429377787fbdc4c86ce1565e"
        },
        {
          "Name": "copilot.microsoft.com",
          "Rank": 6,
          "Icon": "/image?url=copilot.microsoft.com&t=2&s=1&h=eb2c5d699c15f4d7ff035602d8165b847ac5e2883d42a9d8eae54163cd4b47cb"
        },
        {
          "Name": "grok.com",
          "Rank": 7,
          "Icon": "/image?url=grok.com&t=2&s=1&h=5f2be8fd5c0911d0646a313793511a5a9acc4816f25a1b301774b501e7aa7c94"
        }
      ],
      "visitsJan": 530542800,
      "visitsFeb": 472601888,
      "visitsMar": 588832278,
      "snapshotDate": "2026-03-01T00:00:00+00:00",
      "fromGa": false,
      "smallSite": false,
      "countryRankCountry": 840
    }
  ]
}
```
